FORUMS: list search recent posts

Final Cut Express version question

COW Forums : Apple Final Cut Pro Legacy

<< PREVIOUS   •   FAQ   •   VIEW ALL   •   PRINT   •   NEXT >>
Lynne Margulies
Final Cut Express version question
on Feb 27, 2009 at 3:54:19 am

What version of Final Cut Express will work on an iMac G4? Not sure about the graphics card. Either version 1 or 2? Thanks.

Lynne


Return to posts index

Tom Wolsky
Re: Final Cut Express version question
on Feb 27, 2009 at 10:54:57 am

Yes, but the problem is the OS and the QuickTime version. You would need to use a version that supports QuickTime 7.2 or earlier.


All the best,

Tom

Class on Demand DVDs "Complete Training for FCP6," "Basic Training for FCS2" and "Final Cut Express Made Easy"
Author: "Final Cut Pro 5 Editing Essentials" and "Final Cut Express 4 Editing Workshop"


Return to posts index

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
© 2019 CreativeCOW.net All Rights Reserved
[TOP]